移动App开发者的安卓和iOS SDK

超过150万App由iBuildApp的移动App开发工具开发

寻找移动工作

在Windows和Mac上下载iOS和安卓SDK的系统要求

这里允许开发者利用iBuildApp平台构建、部署、测试并发布他们自己的移动应用扩展功能(以下简称’功能’)


iOS系统要求

要成功运行iBuildApp移动SDK,您的系统环境必须满足下列条件:

  • 操作系统: Mac OS X 10.6.6 及以上
  • Apple xCode and iOS SDK: xCode 4.0.2 & iOS SDK 4.3.2 (推荐) 及以上, Xcode 3.2.6 & iOS SDK 4.3 (没有官方支持)

如何在Mac和Windows上安装Apple Xcode和iOS SDK

要为iOS App功能编写代码,iBuildApp要求安装Apple开发者Xcode和iOS SDK

您可以通过Mac电脑自带的Mac OS X安装盘安装Xcode & iOS SDK

或者您也可以从Apple iOS开发中心的网站获取最新版本的Xcode和iOS SDK http://developer.apple.com/devcenter/ios/index.action

要下载Apple开发者Xcode和iOS SDK,您需要注册Apple开发者账户

幸运的是,会员是免费的,而且可以用您已有的Apple账户激活(例如您在iTunes上购买音乐所使用的账户)

要了解下载、安装并开始使用Xcode & iOS SDK的更多细节,请参考 https://developer.apple.com/support/xcode/


选择现行Xcode版本

到Xcode >>项目,在左侧边栏定位到您的项目(功能名称),然后将iOS部署目标编号改为4.3:

图. 1

图. 1


安卓SDK下载系统要求

要成功运行iBuildApp SDK安卓工具,您的系统环境必须满足下列条件:

  • 操作系统: Windows XP/VISTA/7, Linux, Mac OS X
  • JDK 6 & Android developer tool 例如 SDK rev. 17

下列工具可用于使用iBuildApp SDK的开发:

  • 平台
  • Eclipse IDE 3.6.2 (及以上) & ADT;
  • NetBeans IDE 6.7.0 (及以上) & NBAndroid.

安装JDK,安卓SDK,Eclipse IDE和ADT

要开发安卓应用程序功能,iBuildApp需要安装JDK和安卓SDK。关于下载、安装和开始试用JDK的更多信息,请参考Oracle官方网站: http://docs.oracle.com/javase/7/docs/webnotes/install/index.html. 关于下载、安装和使用的更多信息,请参考安卓官方网站: http://developer.android.com/sdk/installing/index.html.

关于下载和安装ADT插件的更多信息,请参考安卓官方网站: http://developer.android.com/sdk/installing/installing-adt.html

您可以从Eclipse的网站上获得最新版本的Eclipse IDE http://www.eclipse.org/downloads/


选择现行安卓版本

为您的功能设置项目构建目标为 8 (Google APIs):

图. 2

图. 2



提供给移动App开发者的样板
提供给移动App开发者的样板